Subject: Re: [PATCH v2] meson: wire up gitk and git-gui

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 5 Feb 2026 07:58:58 +0100

On Wed, Feb 04, 2026 at 09:53:10AM -0800, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > Wire up both gitk and git-gui in Meson as subprojects. These two
> > programs should be the last missing pieces for feature compatibility
> > with our Makefile for distributors.
> >
> > Note that Meson expects subprojects to live in the "subprojects/"
> > directory. Create symlinks to fulfill this requirement.
> >
> > Signed-off-by: Patrick Steinhardt <[email-masked]>
> > ---
> > Hi,
> >
> > I have upstreamed support for Meson into both gitk [1] and git-gui [2].
> > This small patch series wires up support in Git.
> >
> > Changes in v2:
> >   - Use symlinks instead of moving both gitk and git-gui into the
> >     "subprojects/" directory.
> 
> Just being curious (as I cannot offer an alternative if the answer
> turns out to be "oops, no"), but is Windows, which has been symlink
> challenged for quite some time, happy with this?

I think the answer is "it depends". Modern Windows does have native
symlink support enabled in case Developer Mode is turned on to the best
of my knowledge, but not by default. Solutions like Cygwin or MSYS2 know
to emulate symlink support -- in the case of Cygwin they look and behave
like symlinks for most of the part, in MSYS2 they use a deep copy.

So I expect that it should work in those cases, but I have not tested on
Windows.

Patrick